import request from '@/utils/request'

// 查询项目管理列表
export function listSurProject(query) {
  return request({
    url: '/project/surProject/list',
    method: 'get',
    params: query
  })
}

// 查询项目管理详细
export function getSurProject(Id) {
  return request({
    url: '/project/surProject/' + Id,
    method: 'get'
  })
}

// 新增项目管理
export function addSurProject(data) {
  return request({
    url: '/project/surProject',
    method: 'post',
    data: data
  })
}

// 修改项目管理
export function updateSurProject(data) {
  return request({
    url: '/project/surProject',
    method: 'put',
    data: data
  })
}

// 删除项目管理
export function delSurProject(Id) {
  return request({
    url: '/project/surProject/' + Id,
    method: 'delete'
  })
}

// 修改项目形象进度显示
export function updateSurProjectProgressVisible(data) {
  return request({
    url: '/project/surProject/editProgressVisible',
    method: 'post',
    data: data
  })
}

// 修改项目排序
export function updateSurProjectSort(data) {
  return request({
    url: '/project/surProject/editProjectSort',
    method: 'post',
    data: data
  })
}
